summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-30 13:06:56 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-30 13:06:56 +0100
commit5462bf1ca0c0b3ba48d1bbed807cb599562cc61e (patch)
treee5579f7ff5e16bf0fd68b7237e5fbf284e18d240 /script
parentfc097b3e0fd901a3e0803e202aa24eccf9762ff1 (diff)
build/boot/roms: rename buildrom to build_target
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/build/boot/roms5
1 files changed, 2 insertions, 3 deletions
diff --git a/script/build/boot/roms b/script/build/boot/roms
index 72bd2f3d..96472329 100755
--- a/script/build/boot/roms
+++ b/script/build/boot/roms
@@ -58,14 +58,13 @@ handle_targets()
err "handle_targets: Cannot get list of boards"
for board in ${boards}; do
- buildrom "${board}" || err "handle_targets: build error"
+ build_target "${board}" || err "handle_targets: build error"
[ -d "bin/${board}" ] && targets="${board} ${targets}"
done
confirm_targets
}
-# Build ROM images for supported boards
-buildrom() {
+build_target() {
[ -d "config/coreboot/${1}/" ] || \
err "build/roms: target not defined: ${1}"
./build boot roms_helper ${1}${opts} || return 1